View Issue Details

IDProjectCategoryView StatusLast Update
0002116FreeCADBugpublic2015-12-15 13:18
ReporterarcolAssigned Towmayer 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformubuntu 14.10OSOS Version
Product Version0.15 
Target VersionFixed in Version0.16 
Summary0002116: FreeCAD crash when I click on treeview
DescriptionFreeCAD crash every time, when I click on treeview (in the attached project) on item "planeConstraint06"
Additional InformationHere is the complete backtrace:
[Thread 0x7fffd6ffd700 (LWP 4268) exited]

Program received signal SIGSEGV, Segmentation fault.
strlen () at ../sysdeps/x86_64/strlen.S:106
106 ../sysdeps/x86_64/strlen.S: Nincs ilyen fájl vagy könyvtár.
(gdb) bt
#0 strlen () at ../sysdeps/x86_64/strlen.S:106
#1 0x00007ffff52f4ad5 in QString::fromUtf8(char const*, int) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000002 0x00007ffff7692675 in Gui::PropertyEditor::PropertyEnumItem::value(App::Property const*) const ()
   from /usr/lib/freecad/lib/libFreeCADGui.so
0000003 0x00007ffff768b3bd in Gui::PropertyEditor::PropertyItem::data(int, int) const () from /usr/lib/freecad/lib/libFreeCADGui.so
0000004 0x00007ffff769b313 in Gui::PropertyEditor::PropertyModel::data(QModelIndex const&, int) const ()
   from /usr/lib/freecad/lib/libFreeCADGui.so
0000005 0x00007ffff607436b in QItemDelegate::rect(QStyleOptionViewItem const&, QModelIndex const&, int) const ()
   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000006 0x00007ffff6074ba5 in QItemDelegate::sizeHint(QStyleOptionViewItem const&, QModelIndex const&) const ()
   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000007 0x00007ffff769ac19 in Gui::PropertyEditor::PropertyItemDelegate::sizeHint(QStyleOptionViewItem const&, QModelIndex const&) const ()
   from /usr/lib/freecad/lib/libFreeCADGui.so
0000008 0x00007ffff605f649 in QTreeView::indexRowSizeHint(QModelIndex const&) const () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000009 0x00007ffff6062a61 in QTreeViewPrivate::itemHeight(int) const () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000010 0x00007ffff6063d7e in QTreeViewPrivate::updateScrollBars() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000011 0x00007ffff606d7bd in QTreeView::updateGeometries() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000012 0x00007ffff601f8dd in QAbstractItemView::doItemsLayout() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000013 0x00007ffff606c105 in QTreeView::doItemsLayout() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000014 0x00007ffff602260c in QAbstractItemView::timerEvent(QTimerEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000015 0x00007ffff606c586 in QTreeView::timerEvent(QTimerEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000016 0x00007ffff53c7e0b in QObject::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000017 0x00007ffff5b746b3 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000018 0x00007ffff5f1d9fe in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000019 0x00007ffff5f99cf3 in QAbstractScrollArea::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000020 0x00007ffff602c57b in QAbstractItemView::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000021 0x00007ffff5b2411c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000022 0x00007ffff5b2a870 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000023 0x00007ffff74e1965 in Gui::GUIApplication::notify(QObject*, QEvent*) () from /usr/lib/freecad/lib/libFreeCADGui.so
0000024 0x00007ffff53af86d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000025 0x00007ffff53df4eb in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000026 0x00007ffff53dc711 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000027 0x00007fffee7a9c5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000028 0x00007fffee7a9f48 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
0000029 0x00007fffee7a9ffc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000030 0x00007ffff53dd031 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000031 0x00007ffff5bc74e6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000032 0x00007ffff53ae4f1 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000033 0x00007ffff53ae805 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000034 0x00007ffff53b3f67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000035 0x00007ffff74d861f in Gui::Application::runApplication() () from /usr/lib/freecad/lib/libFreeCADGui.so
0000036 0x0000000000404308 in main ()
(gdb)
TagsNo tags attached.

Activities

arcol

2015-05-23 11:22

reporter  

assembly_vertical_bar_corner.fcstd (Attachment missing)

arcol

2015-05-23 12:08

reporter   ~0006155

Related topic:
http://forum.freecadweb.org/viewtopic.php?f=8&t=11063

Related Changesets

FreeCAD: master 4f5534a8

2015-06-09 21:55:35

wmayer

Details Diff
+ fixes 0002116: FreeCAD crash when I click on treeview Affected Issues
0002116
mod - src/Gui/propertyeditor/PropertyItem.cpp Diff File

Issue History

Date Modified Username Field Change
2015-05-23 11:22 arcol New Issue
2015-05-23 11:22 arcol File Added: assembly_vertical_bar_corner.fcstd
2015-05-23 12:08 arcol Note Added: 0006155
2015-06-09 20:00 wmayer Changeset attached => FreeCAD Master master 4f5534a8
2015-06-09 20:00 wmayer Assigned To => wmayer
2015-06-09 20:00 wmayer Status new => closed
2015-06-09 20:00 wmayer Resolution open => fixed
2015-12-15 13:18 yorik Fixed in Version => 0.16